Functions
Functions
Peripheral Driver » LL Driver » PMU LL Module Driver

## Functions
__STATIC_INLINE void | ll_aon_pmu_enable_rtc (void)
| Enable the RTC. More...
__STATIC_INLINE void | ll_aon_pmu_enable_rtc_cgm (void)
| Enable the RTC and bypass GM. More...
__STATIC_INLINE void | ll_aon_pmu_disable_rtc (void)
| Disable the RTC. More...
__STATIC_INLINE void | ll_aon_pmu_set_rtc_gm (uint32_t value)
| Set RTC GM. More...
__STATIC_INLINE void | ll_aon_pmu_set_io_ldo_vout (uint32_t value)
| Set lv,default is set to 1.8V,LSB = 8.5mv. More...
__STATIC_INLINE uint32_t | ll_aon_pmu_get_io_ldo_vout (void)
| Get the io ldo vout. More...
__STATIC_INLINE void | ll_aon_pmu_set_stb_io_ldo_vout (uint32_t value)
| Set stb io ldo. More...
__STATIC_INLINE void | ll_aon_pmu_set_retention_level (uint32_t value)
| Set retention level. More...
__STATIC_INLINE uint32_t | ll_aon_pmu_get_retention_level (void)
| Get retention level. More...
__STATIC_INLINE void | ll_aon_pmu_set_dcdc_vreg (uint32_t value)
| Set dcdc ref_cntrl_b_lv_3_0,vreg defaulted to 1.1V. More...
__STATIC_INLINE uint32_t | ll_aon_pmu_get_dcdc_vreg (void)
| Get dcdc vreg. More...
__STATIC_INLINE void | ll_aon_pmu_enable_io_ldo_bypass (void)
| Enable the io ldo bypass. More...
__STATIC_INLINE void | ll_aon_pmu_disable_io_ldo_bypass (void)
| Disable the io ldo bypass. More...
__STATIC_INLINE void | ll_aon_pmu_set_dig_ldo_coarse_fine_code (uint32_t coarse_code, uint32_t fine_code)
| Set dig ldo coarse and fine code. More...
__STATIC_INLINE uint32_t | ll_aon_pmu_get_dig_ldo_coarse_code (void)
| Get dig ldo coarse code. More...
__STATIC_INLINE uint32_t | ll_aon_pmu_get_dig_ldo_fine_code (void)
| Get dig ldo fine code. More...
__STATIC_INLINE void | ll_aon_pmu_set_dig_ldo_out (uint32_t value)
| Set dig ldo out. More...
__STATIC_INLINE uint32_t | ll_aon_pmu_get_dig_ldo_out (void)
| Get dig ldo out. More...
__STATIC_INLINE void | ll_aon_pmu_enable_dig_ldo_bypass (void)
| Enable the dig ldo bypass. More...
__STATIC_INLINE void | ll_aon_pmu_disable_dig_ldo_bypass (void)
| Disable the dig ldo bypass. More...
__STATIC_INLINE void | ll_aon_pmu_set_dig_ldo_bypass (bool enable)
| Set the dig ldo bypass. More...
__STATIC_INLINE uint32_t | ll_aon_pmu_get_dig_ldo_bypass (void)
| Get the dig ldo bypass. More...
__STATIC_INLINE void | ll_aon_pmu_disable_sysldo (void)
| Get dig ldo out. More...
__STATIC_INLINE void | ll_aon_pmu_set_clk_period (uint32_t value)
| Set clk period. More...
__STATIC_FORCEINLINE void | ll_aon_pmu_set_clk_inject (uint32_t value)
| Enables clock injection from XO to ring oscillator. More...
__STATIC_INLINE void | ll_aon_pmu_enable_ton_startup_overide (void)
| Enable the dcdc ton startup. More...
__STATIC_INLINE void | ll_aon_pmu_set_dcdc_pwr_src (uint32_t value)
| Set the dcdc power source. More...
__STATIC_INLINE void | ll_aon_pmu_set_rtc_cs (uint32_t value)
| Set the rtc cur cap. More...
__STATIC_INLINE void | ll_aon_pmu_set_rtc_cap (uint32_t value)
| Set the rtc cur cap. More...
__STATIC_INLINE uint32_t | ll_aon_pmu_get_rtc_cap (void)
| Get the rtc cur cap. More...
__STATIC_INLINE void | ll_aon_pmu_enable_rcosc (void)
| Enable the RCOSC. More...
__STATIC_INLINE void | ll_aon_pmu_disable_rcosc (void)
| Disable the RCOSC. More...
__STATIC_FORCEINLINE void | ll_aon_pmu_set_lpd_active (uint32_t value)
| modify lpd active More...
__STATIC_INLINE void | ll_aon_pmu_set_lpd_sleep (uint32_t value)
| modify lpd sleep More...
__STATIC_INLINE void | ll_aon_pmu_set_tx_ton_val (uint32_t value)
| modify ton on More...
__STATIC_INLINE uint32_t | ll_aon_pmu_get_tx_ton_val (void)
| Get tx ton value. More...
__STATIC_INLINE void | ll_aon_pmu_set_non_tx_ton_val (uint32_t value)
| modify ton off More...
__STATIC_INLINE void | ll_aon_pmu_set_rng_clk_bump_val (uint32_t value)
| modify rng bump More...
__STATIC_INLINE void | ll_aon_pmu_set_rng_freq_cont (uint32_t value)
| modify rng cont More...
__STATIC_INLINE void | ll_aon_pmu_set_bg_en (uint32_t value)
| modify bg en More...

## Detailed Description

## Function Documentation

## ◆ ll_aon_pmu_disable_dig_ldo_bypass()

__STATIC_INLINE void ll_aon_pmu_disable_dig_ldo_bypass | ( | void |  | ) |

Disable the dig ldo bypass.

Register|BitsName --------|-------- RF_REG_4 | BYPASS_EN

Definition at line 353 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_disable_io_ldo_bypass()

__STATIC_INLINE void ll_aon_pmu_disable_io_ldo_bypass | ( | void |  | ) |

Disable the io ldo bypass.

Register|BitsName --------|-------- RF_REG_3 | BYPASS_EN

Definition at line 251 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_disable_rcosc()

__STATIC_INLINE void ll_aon_pmu_disable_rcosc | ( | void |  | ) |

Disable the RCOSC.

Register|BitsName --------|-------- RC_RTC_REG_0 | RCOSC

Definition at line 532 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_disable_rtc()

__STATIC_INLINE void ll_aon_pmu_disable_rtc | ( | void |  | ) |

Disable the RTC.

Register|BitsName --------|-------- RF_REG_0 | RTC_EN

Definition at line 104 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_disable_sysldo()

__STATIC_INLINE void ll_aon_pmu_disable_sysldo | ( | void |  | ) |

Get dig ldo out.

Register|BitsName --------|-------- RF_REG_4 | DIG_LDO_EN

Definition at line 397 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_enable_dig_ldo_bypass()

__STATIC_INLINE void ll_aon_pmu_enable_dig_ldo_bypass | ( | void |  | ) |

Enable the dig ldo bypass.

Register|BitsName --------|-------- RF_REG_4 | BYPASS_EN

Definition at line 340 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_enable_io_ldo_bypass()

__STATIC_INLINE void ll_aon_pmu_enable_io_ldo_bypass | ( | void |  | ) |

Enable the io ldo bypass.

Register|BitsName --------|-------- RF_REG_3 | BYPASS_EN

Definition at line 238 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_enable_rcosc()

__STATIC_INLINE void ll_aon_pmu_enable_rcosc | ( | void |  | ) |

Enable the RCOSC.

Register|BitsName --------|-------- RC_RTC_REG_0 | RCOSC

Definition at line 519 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_enable_rtc()

__STATIC_INLINE void ll_aon_pmu_enable_rtc | ( | void |  | ) |

Enable the RTC.

Register|BitsName --------|-------- RF_REG_0 | RTC_EN

Return values

  None |

Definition at line 75 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_enable_rtc_cgm()

__STATIC_INLINE void ll_aon_pmu_enable_rtc_cgm | ( | void |  | ) |

Enable the RTC and bypass GM.

Register|BitsName --------|-------- RF_REG_0 | RTC_EN | CGM_MODE

Return values

  None |

Definition at line 91 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_enable_ton_startup_overide()

__STATIC_INLINE void ll_aon_pmu_enable_ton_startup_overide | ( | void |  | ) |

Enable the dcdc ton startup.

Register|BitsName --------|-------- DCDC_LDO_REG_0 | TON_STARTUP

Definition at line 443 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_get_dcdc_vreg()

__STATIC_INLINE uint32_t ll_aon_pmu_get_dcdc_vreg | ( | void |  | ) |

Get dcdc vreg.

Register|BitsName --------|-------- PMU_DCDC_VREF | DCDC_VREF_REG_VAL

Return values

  The | dcdc vreg value.

Definition at line 225 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_get_dig_ldo_bypass()

__STATIC_INLINE uint32_t ll_aon_pmu_get_dig_ldo_bypass | ( | void |  | ) |

Get the dig ldo bypass.

Register|BitsName --------|-------- RF_REG_4 | BYPASS_EN

Return values

  The | dig ldo bypass enable value.

Definition at line 383 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_get_dig_ldo_coarse_code()

__STATIC_INLINE uint32_t ll_aon_pmu_get_dig_ldo_coarse_code | ( | void |  | ) |

Get dig ldo coarse code.

Register|BitsName --------|-------- RF_REG_4 | core_vo_sel

Definition at line 281 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_get_dig_ldo_fine_code()

__STATIC_INLINE uint32_t ll_aon_pmu_get_dig_ldo_fine_code | ( | void |  | ) |

Get dig ldo fine code.

Register|BitsName --------|-------- PMU_CORE_LDO_VREF | reg_aon_pmu_core_ldo_vref

Definition at line 294 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_get_dig_ldo_out()

__STATIC_INLINE uint32_t ll_aon_pmu_get_dig_ldo_out | ( | void |  | ) |

Get dig ldo out.

Register|BitsName --------|-------- RF_REG_4 | DIG_LDO_EN

Definition at line 326 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_get_io_ldo_vout()

__STATIC_INLINE uint32_t ll_aon_pmu_get_io_ldo_vout | ( | void |  | ) |

Get the io ldo vout.

Register|BitsName --------|-------- RF_REG_0 | vref_sel_lv_6_0

Return values

  The | io ldo vout value..

Definition at line 149 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_get_retention_level()

__STATIC_INLINE uint32_t ll_aon_pmu_get_retention_level | ( | void |  | ) |

Get retention level.

Register|BitsName --------|-------- RF_REG_0 | ctrl_ret

Return values

  The | current retention level.

Definition at line 195 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_get_rtc_cap()

__STATIC_INLINE uint32_t ll_aon_pmu_get_rtc_cap | ( | void |  | ) |

Get the rtc cur cap.

Register|BitsName --------|-------- RC_RTC_REG_0 | RTC_CAP

Return values

  The | rtc current cap value.

Definition at line 506 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_get_tx_ton_val()

__STATIC_INLINE uint32_t ll_aon_pmu_get_tx_ton_val | ( | void |  | ) |

Get tx ton value.

Register|BitsName --------|-------- PMU_TON_CFG | AON_PMU_TON_CTRL_ON

Return values

  The | current tx ton value.

Definition at line 590 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_bg_en()

__STATIC_INLINE void ll_aon_pmu_set_bg_en | ( | uint32_t | value | ) |

modify bg en

Register|BitsName --------|-------- RF_REG_4 | AON_PMU_RF_REG_4_BG_EN

Parameters

  value | Bg en.

Definition at line 647 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_clk_inject()

__STATIC_FORCEINLINE void ll_aon_pmu_set_clk_inject | ( | uint32_t | value | ) |

Enables clock injection from XO to ring oscillator.

Register|BitsName --------|-------- RF_REG_1 | EN_INJ_ON

Parameters

  value | The clock period value.

Return values

  None |

Definition at line 430 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_clk_period()

__STATIC_INLINE void ll_aon_pmu_set_clk_period | ( | uint32_t | value | ) |

Set clk period.

Register|BitsName --------|-------- RF_REG_4 | CLK_PERIOD

Parameters

  value | The clock period value.

Return values

  None |

Definition at line 414 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_dcdc_pwr_src()

__STATIC_INLINE void ll_aon_pmu_set_dcdc_pwr_src | ( | uint32_t | value | ) |

Set the dcdc power source.

Register|BitsName --------|-------- RF_REG_1 | vddint_sel

Parameters

  value | Dcdc power source.

Return values

  None |

Definition at line 460 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_dcdc_vreg()

__STATIC_INLINE void ll_aon_pmu_set_dcdc_vreg | ( | uint32_t | value | ) |

Set dcdc ref_cntrl_b_lv_3_0,vreg defaulted to 1.1V.

Register|BitsName --------|-------- PMU_DCDC_VREF | DCDC_VREF_REG_VAL

Parameters

  value | the dcdc vreg value.

Definition at line 210 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_dig_ldo_bypass()

__STATIC_INLINE void ll_aon_pmu_set_dig_ldo_bypass | ( | bool | enable | ) |

Set the dig ldo bypass.

Register|BitsName --------|-------- RF_REG_4 | BYPASS_EN

Parameters

  enable | Aon pmu set dig ldo bypass enable.

Definition at line 368 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_dig_ldo_coarse_fine_code()

__STATIC_INLINE void ll_aon_pmu_set_dig_ldo_coarse_fine_code | ( | uint32_t | coarse_code,
|  | uint32_t | fine_code
| ) |  |

Set dig ldo coarse and fine code.

Register|BitsName --------|-------- RF_REG_4 | DIG_LDO_EN

Parameters

  coarse_code | The dig ldo coarse.
  fine_code | The fine code value.

Definition at line 267 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_dig_ldo_out()

__STATIC_INLINE void ll_aon_pmu_set_dig_ldo_out | ( | uint32_t | value | ) |

Set dig ldo out.

Register|BitsName --------|-------- RF_REG_4 | DIG_LDO_EN

Parameters

  value | The dig ldo out value.

Definition at line 311 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_io_ldo_vout()

__STATIC_INLINE void ll_aon_pmu_set_io_ldo_vout | ( | uint32_t | value | ) |

Set lv,default is set to 1.8V,LSB = 8.5mv.

Register|BitsName --------|-------- RF_REG_0 | EN

Parameters

  value | The io ldo vout value.

Definition at line 134 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_lpd_active()

__STATIC_FORCEINLINE void ll_aon_pmu_set_lpd_active | ( | uint32_t | value | ) |

modify lpd active

Register|BitsName --------|-------- PMU_LPD_CFG | LPD_VAON_ACTIVE

Parameters

  value | Lpd active.

Definition at line 547 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_lpd_sleep()

__STATIC_INLINE void ll_aon_pmu_set_lpd_sleep | ( | uint32_t | value | ) |

modify lpd sleep

Register|BitsName --------|-------- PMU_LPD_CFG | LPD_VAON_SLEEP

Parameters

  value | Lpd sleep.

Definition at line 561 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_non_tx_ton_val()

__STATIC_INLINE void ll_aon_pmu_set_non_tx_ton_val | ( | uint32_t | value | ) |

modify ton off

Register|BitsName --------|-------- PMU_TON_CFG | AON_PMU_TON_CTRL_OFF

Parameters

  value | Ton off.

Definition at line 605 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_retention_level()

__STATIC_INLINE void ll_aon_pmu_set_retention_level | ( | uint32_t | value | ) |

Set retention level.

Register|BitsName --------|-------- RF_REG_0 | ctrl_ret

Parameters

  value | The retention level value.

Definition at line 179 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_rng_clk_bump_val()

__STATIC_INLINE void ll_aon_pmu_set_rng_clk_bump_val | ( | uint32_t | value | ) |

modify rng bump

Register|BitsName --------|-------- RF_REG_0 | AON_PMU_RF_REG_0_RNG_CLK_BUMP

Parameters

  value | Rng bump.

Definition at line 619 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_rng_freq_cont()

__STATIC_INLINE void ll_aon_pmu_set_rng_freq_cont | ( | uint32_t | value | ) |

modify rng cont

Register|BitsName --------|-------- RF_REG_0 | AON_PMU_RF_REG_0_RNG_FREQ_CONT

Parameters

  value | Rng cont.

Definition at line 633 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_rtc_cap()

__STATIC_INLINE void ll_aon_pmu_set_rtc_cap | ( | uint32_t | value | ) |

Set the rtc cur cap.

Register|BitsName --------|-------- RC_RTC_REG_0 | RTC_CAP

Parameters

  value | The rtc current cap value.

Definition at line 491 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_rtc_cs()

__STATIC_INLINE void ll_aon_pmu_set_rtc_cs | ( | uint32_t | value | ) |

Set the rtc cur cap.

Register|BitsName --------|-------- RC_RTC_REG_0 | RTC_CAP

Parameters

  value | The rtc current cap value.

Definition at line 476 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_rtc_gm()

__STATIC_INLINE void ll_aon_pmu_set_rtc_gm | ( | uint32_t | value | ) |

Set RTC GM.

Register|BitsName --------|-------- RF_REG_0 | EN

Parameters

  value | The rtc gm value.

Definition at line 119 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_stb_io_ldo_vout()

__STATIC_INLINE void ll_aon_pmu_set_stb_io_ldo_vout | ( | uint32_t | value | ) |

Set stb io ldo.

Register|BitsName --------|-------- RF_REG_3 | EN

Parameters

  value | The io ldo vout value.

Definition at line 164 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_tx_ton_val()

__STATIC_INLINE void ll_aon_pmu_set_tx_ton_val | ( | uint32_t | value | ) |

modify ton on

Register|BitsName --------|-------- PMU_TON_CFG | AON_PMU_TON_CTRL_ON

Parameters

  value | Ton on.

Definition at line 575 of file gr55xx_ll_aon_pmu.h.